---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get anti-fraud statistics by document number

Gets anti fraud statistics based on document number.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Anti-fraud",
      "description": "Manage anti-fraud endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "antifraud.StatisticsSearchByDocumentNumber": {
        "type": "object",
        "properties": {
          "correlation_id": {
            "$ref": "#/components/schemas/CorrelationID"
          },
          "person_statistics": {
            "$ref": "#/components/schemas/entry.OwnerStatistics"
          }
        }
      },
      "antifraud.StatisticsSearchByDocumentNumberRequest": {
        "type": "object",
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          }
        }
      },
      "CorrelationID": {
        "type": "string",
        "format": "uuid",
        "description": "The correlation identifier is used to link related API requests and events. The Pismo engineering team can use this to track everything related to a call. If one is not passed, it is automatically generated and returned to the client in a response header.\n",
        "example": "ea8bc045-9ff7-439f-a318-2e6f974707a5"
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 11,
        "maxLength": 14,
        "example": "123412341234"
      },
      "entry.Details": {
        "type": "object",
        "description": "Event counters.",
        "properties": {
          "d90": {
            "type": "integer",
            "description": "Events occurring in last 90 days counter.",
            "example": 86
          },
          "m12": {
            "type": "integer",
            "description": "Events occurring in last 12 months counter.",
            "example": 23
          },
          "m60": {
            "type": "integer",
            "description": "Events occurring in last 60 months counter.",
            "example": 12
          }
        }
      },
      "entry.EntriesOwner": {
        "type": "object",
        "properties": {
          "registered_accounts": {
            "type": "integer",
            "description": "Number of owner's accounts associated with currently registered keys."
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.FraudMarkersOwner": {
        "type": "object",
        "properties": {
          "application_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "distinct_fraud_reporters": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "mule_accounts": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "other_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "scammer_accounts": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "total_fraud_transaction_amount": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "unknown_frauds": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.InfractionReportsOwner": {
        "type": "object",
        "properties": {
          "open_reports": {
            "$ref": "#/components/schemas/OpenReports"
          },
          "open_reports_distinct_reporters": {
            "$ref": "#/components/schemas/OpenReportsDistinctReporters"
          },
          "rejected_reports": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "entry.OwnerStatistics": {
        "type": "object",
        "properties": {
          "entries": {
            "$ref": "#/components/schemas/entry.EntriesOwner"
          },
          "fraud_markers": {
            "$ref": "#/components/schemas/entry.FraudMarkersOwner"
          },
          "infraction_reports": {
            "$ref": "#/components/schemas/entry.InfractionReportsOwner"
          },
          "spi": {
            "$ref": "#/components/schemas/entry.Spi"
          }
        }
      },
      "entry.Spi": {
        "type": "object",
        "description": "Data on settlements",
        "properties": {
          "settlements": {
            "$ref": "#/components/schemas/entry.Details"
          },
          "watermark": {
            "$ref": "#/components/schemas/Watermark"
          }
        }
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      },
      "OpenReports": {
        "type": "integer",
        "description": "Number of infringement notifications not yet completed or cancelled.",
        "example": 45
      },
      "OpenReportsDistinctReporters": {
        "type": "integer",
        "description": "Number of distinct participants creating infringement notifications that have not yet been completed or cancelled.",
        "example": 34
      },
      "Watermark": {
        "type": "string",
        "format": "date-time",
        "description": "Last anti-fraud event's date and time. RFC 3339 format.",
        "example": "2020-01-17T10:00:00Z"
      }
    },
    "responses": {
      "504GatewayTimeout1": {
        "description": "Gateway Timeout",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Service timeout": {
                "value": {
                  "code": "EPDA0000",
                  "message": "Timeout while executing the request"
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/statistics/persons": {
      "post": {
        "summary": "Get anti-fraud statistics by document number",
        "description": "Gets anti fraud statistics based on document number.",
        "operationId": "post-v2-antifraud-statistics-document-number",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          }
        ],
        "tags": [
          "Anti-fraud"
        ],
        "requestBody": {
          "description": "Get anti-fraud statistics request body",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/antifraud.StatisticsSearchByDocumentNumberRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/antifraud.StatisticsSearchByDocumentNumber"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Invalid key": {
                    "value": {
                      "code": "EPDA0075",
                      "message": "Invalid document number"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Failed marshalling object": {
                    "value": {
                      "code": "EPDG0006",
                      "message": "Failed to marshal JSON object"
                    }
                  },
                  "Failed unmarshalling object": {
                    "value": {
                      "code": "EPDG0007",
                      "message": "Failed to unmarshal JSON object"
                    }
                  },
                  "Error reading response data": {
                    "value": {
                      "code": "EPDG0010",
                      "message": "I/O error while reading response data: '{details}'"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout1"
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  }
}
```